Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::ObjectAnimation Class Reference

オブジェクトアニメーション More...

`#include <ObjectAnimation.h>`

Inheritance diagram for Lamp::ObjectAnimation:

List of all members.

## Public Member Functions
virtual AnimationData * | getAnimationData ()=0
| アニメーションデータの取得
virtual const AnimationData * | getAnimationData () const=0
| アニメーションデータの取得
virtual void | setTargetName (const String &targetName)
| ターゲット名の設定
virtual const String & | getTargetName () const
| ターゲット名の取得
virtual int | getSequenceCount () const
| シーケンス数の取得
virtual void | setSequence (int sequence, float time=0.f)
| シーケンスの設定
virtual int | getSequence () const
| シーケンスの取得
virtual void | setTime (float time)
| 時間の設定
virtual float | getTime () const
| 時間の取得
virtual bool | isFinished () const
| 終了しているか
virtual float | getLength () const
| 長さの取得
virtual bool | isLooped () const
| ループしているか
virtual bool | isObjectAnimation () const
| オブジェクトアニメーションかどうか
## Protected Member Functions
| ObjectAnimation (String name, AnimationManager *manager)
| コンストラクタ
virtual | ~ObjectAnimation ()
| デストラクタ
virtual void | copyObjectAnimationValue (ObjectAnimation *destination) const
| オブジェクトアニメーションの値コピー

## Detailed Description

オブジェクトアニメーション

Definition at line 37 of file ObjectAnimation.h.

## Constructor & Destructor Documentation

Lamp::ObjectAnimation::ObjectAnimation | ( | String | name,
|  | AnimationManager * | manager
| ) | `[inline, protected]`

  | コンストラクタ Parameters:
  name | 名前
  manager | アニメーションマネージャ
Definition at line 166 of file ObjectAnimation.h.

## Member Function Documentation

virtual void Lamp::ObjectAnimation::copyObjectAnimationValue | ( | ObjectAnimation * | destination | ) | const`[inline, protected, virtual]`

  | オブジェクトアニメーションの値コピー Parameters:
  destination | コピー対象
Definition at line 179 of file ObjectAnimation.h. References getSequence(), getTargetName(), getTime(), Lamp::Animation::isEnabled(), Lamp::Animation::setEnabled(), setSequence(), setTargetName(), and setTime(). Referenced by Lamp::CameraAnimation::copyCameraAnimation(), Lamp::CharacterModelAnimation::copyCharacterModelAnimation(), and Lamp::SceneNodeAnimation::copySceneNodeAnimation().

virtual const AnimationData* Lamp::ObjectAnimation::getAnimationData | ( |  | ) | const`[pure virtual]`

| アニメーションデータの取得 Returns: アニメーションデータ Implemented in Lamp::CameraAnimation, Lamp::CharacterModelAnimation, and Lamp::SceneNodeAnimation.

virtual AnimationData* Lamp::ObjectAnimation::getAnimationData | ( |  | ) | `[pure virtual]`

| アニメーションデータの取得 Returns: アニメーションデータ Implemented in Lamp::CameraAnimation, Lamp::CharacterModelAnimation, and Lamp::SceneNodeAnimation. Referenced by getLength(), getSequenceCount(), isFinished(), and isLooped().

virtual float Lamp::ObjectAnimation::getLength | ( |  | ) | const`[inline, virtual]`

| 長さの取得 Returns: 長さ Implements Lamp::Animation. Definition at line 134 of file ObjectAnimation.h. References getAnimationData(), Lamp::AnimationData::getLength(), getSequence(), and NULL. Referenced by isFinished().

virtual int Lamp::ObjectAnimation::getSequence | ( |  | ) | const`[inline, virtual]`

| シーケンスの取得 Returns: シーケンス Implements Lamp::Animation. Definition at line 100 of file ObjectAnimation.h. Referenced by Lamp::SceneNodeAnimation::animate(), Lamp::CharacterModelAnimation::animate(), Lamp::CameraAnimation::animate(), copyObjectAnimationValue(), getLength(), and isLooped().

virtual int Lamp::ObjectAnimation::getSequenceCount | ( |  | ) | const`[inline, virtual]`

| シーケンス数の取得 Returns: シーケンス数 Implements Lamp::Animation. Definition at line 78 of file ObjectAnimation.h. References getAnimationData(), Lamp::AnimationData::getSequenceCount(), and NULL. Referenced by setSequence().

virtual const String& Lamp::ObjectAnimation::getTargetName | ( |  | ) | const`[inline, virtual]`

| ターゲット名の取得 Returns: ターゲット名 Definition at line 69 of file ObjectAnimation.h. Referenced by Lamp::SceneNodeAnimation::bind(), Lamp::CharacterModelAnimation::bind(), Lamp::CameraAnimation::bind(), copyObjectAnimationValue(), Lamp::TextAnimationSaver::writeCameraAnimation(), Lamp::BinaryAnimationSaver::writeCameraAnimation(), Lamp::TextAnimationSaver::writeCharacterModelAnimation(), Lamp::BinaryAnimationSaver::writeCharacterModelAnimation(), Lamp::TextAnimationSaver::writeSceneNodeAnimation(), and Lamp::BinaryAnimationSaver::writeSceneNodeAnimation().

virtual float Lamp::ObjectAnimation::getTime | ( |  | ) | const`[inline, virtual]`

| 時間の取得 Returns: 時間 Implements Lamp::Animation. Definition at line 115 of file ObjectAnimation.h. Referenced by Lamp::CharacterModelAnimation::animate(), copyObjectAnimationValue(), and isFinished().

virtual bool Lamp::ObjectAnimation::isFinished | ( |  | ) | const`[inline, virtual]`

| 終了しているか Returns: 終了していればtrue Implements Lamp::Animation. Definition at line 124 of file ObjectAnimation.h. References getAnimationData(), getLength(), getTime(), and NULL. Referenced by Lamp::SceneNodeAnimation::animate(), Lamp::CharacterModelAnimation::animate(), and Lamp::CameraAnimation::animate().

virtual bool Lamp::ObjectAnimation::isLooped | ( |  | ) | const`[inline, virtual]`

| ループしているか Returns: ループしていればtrue Implements Lamp::Animation. Definition at line 144 of file ObjectAnimation.h. References getAnimationData(), getSequence(), Lamp::AnimationData::isLooped(), and NULL.

virtual bool Lamp::ObjectAnimation::isObjectAnimation | ( |  | ) | const`[inline, virtual]`

| オブジェクトアニメーションかどうか Returns: オブジェクトアニメーションならtrue Reimplemented from Lamp::Animation. Definition at line 157 of file ObjectAnimation.h.

virtual void Lamp::ObjectAnimation::setSequence | ( | int | sequence,
|  | float | time = 0.f
| ) | `[inline, virtual]`

  | シーケンスの設定 Parameters:
  sequence | 設定するシーケンス
  time | 設定する時間
Implements Lamp::Animation. Definition at line 89 of file ObjectAnimation.h. References Assert, getSequenceCount(), and setTime(). Referenced by copyObjectAnimationValue().

virtual void Lamp::ObjectAnimation::setTargetName | ( | const String & | targetName | ) | `[inline, virtual]`

  | ターゲット名の設定 Parameters:
  targetName | 設定するターゲット名
Definition at line 61 of file ObjectAnimation.h. Referenced by Lamp::SceneNodeAnimation::bind(), Lamp::CharacterModelAnimation::bind(), Lamp::CameraAnimation::bind(), copyObjectAnimationValue(), Lamp::TextAnimationLoader::readCameraAnimation(), Lamp::BinaryAnimationLoader::readCameraAnimation(), Lamp::TextAnimationLoader::readCharacterModelAnimation(), Lamp::BinaryAnimationLoader::readCharacterModelAnimation(), Lamp::TextAnimationLoader::readSceneNodeAnimation(), and Lamp::BinaryAnimationLoader::readSceneNodeAnimation().

virtual void Lamp::ObjectAnimation::setTime | ( | float | time | ) | `[inline, virtual]`

  | 時間の設定 Parameters:
  time | 設定する時間
Implements Lamp::Animation. Definition at line 109 of file ObjectAnimation.h. Referenced by Lamp::CharacterModelAnimation::animate(), copyObjectAnimationValue(), and setSequence().

The documentation for this class was generated from the following file:

- ObjectAnimation.h